simulate_ukeypress(3)

NAME
simulate_ukeypress - Stuffs an unicode key into the keyboard buffer. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void simulate_ukeypress(int key, int scancode);

DESCRIPTION
Stuffs a key into the keyboard buffer, just as if the user had pressed it. The parameter is in the same format returned by ureadkey(). Example:
   /* We ignore the scancode simulation. */
   simulate_ukeypress(0x00DF, 0);
   if (ureadkey(&scancode) == 0x00DF)
      allegro_message("You simulated sharp s\n");

SEE ALSO
install_keyboard(3), simulate_keypress(3), keypressed(3), ureadkey(3)